Firefox 38.4

General talk about packaging procedures and packages.
Post Reply
User avatar
ChuangTzu
Donor
Posts: 342
Joined: 19. May 2015, 23:34

Firefox 38.4

Post by ChuangTzu » 14. Nov 2015, 22:06

Hi Gapan,

How long does it usually take for Salix repos to sync with Slackware? Slackware upgraded Firefox to 38.4 ESR on 05Nov. to correct several critical advisories, however, we still have 38.3.

https://www.mozilla.org/en-US/security/ ... refox-esr/

http://mirrors.slackware.com/slackware/ ... /packages/
Image
Image

User avatar
laprjns
Salix Warrior
Posts: 1036
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: Firefox 38.4

Post by laprjns » 15. Nov 2015, 14:05

Looks to me like the patches/ directory in the Slackware branch of the Salix repos missed the Nov 5th update.
Slackware Change Log Nov 5th wrote:patches/packages/mozilla-firefox-38.4.0esr-i486-1_slack14.1.txz: Upgraded.
This release contains security fixes and improvements.
For more information, see:
http://www.mozilla.org/security/known-v ... oxESR.html
(* Security fix *)
patches/packages/mozilla-nss-3.20.1-i486-1_slack14.1.txz: Upgraded.
Upgraded to nss-3.20.1 and nspr-4.10.10.
This release contains security fixes and improvements.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cg ... -2015-7181
http://cve.mitre.org/cgi-bin/cvename.cg ... -2015-7182
http://cve.mitre.org/cgi-bin/cvename.cg ... -2015-7183
(* Security fix *)
“Don’t you see that the whole aim of Newspeak is to narrow the range of thought?"

User avatar
gapan
Salix Wizard
Posts: 5528
Joined: 6. Jun 2009, 17:40

Re: Firefox 38.4

Post by gapan » 15. Nov 2015, 20:24

The firefox package actually comes from the salix repos, overriding the one in slackware. The package has now been upgraded, you'll get a notification once your mirror syncs.

I have an automatic notification for firefox updates, it seems this time it failed to actually notify me. If you see a couple of days of delay next time, please post about it.
Image
Image

User avatar
ChuangTzu
Donor
Posts: 342
Joined: 19. May 2015, 23:34

Re: Firefox 38.4

Post by ChuangTzu » 15. Nov 2015, 21:39

will do gapan. Thank you for the prompt correction.
Image
Image

User avatar
maroman
Posts: 23
Joined: 12. Apr 2015, 15:11
Contact:

Re: Firefox 38.4

Post by maroman » 16. Nov 2015, 22:18

as a matter of fact the difference between two last firefox esr versions is no crucial. one day more makes no difference. but if someone is so eager to have the newest one what about using mozilla compiled firefox? at the moment I'm testing ff 42 and it works
Image

cheers,
ride your bike
--
salix 14.1 (fluxbox, mate) on ancient boxes

westms
Posts: 298
Joined: 17. Mar 2013, 18:51

Re: Firefox 38.4

Post by westms » 19. Nov 2015, 22:26

maroman wrote:as a matter of fact the difference between two last firefox esr versions is no crucial. one day more makes no difference.
However, it can be crucial, to surf with a slightly younger browser version on certain web sites. For example, the tax authority or some banks. The behavior is not due to the differences between the versions, but the ignorance of the relevant decision-makers or administrators. With in limits they always want to see the latest version, regardless of whether an older version also meets the latest safety requirements.
The responsible need to consider only the appropriate information*). I am glad that Slackware or Salix make halfway recent versions available and I do not always have to tinker.
maroman wrote:as a matter of fact the difference between two last firefox esr versions is no crucial. one day more makes no difference. but if someone is so eager to have the newest one what about using mozilla compiled firefox? at the moment I'm testing ff 42 and it works
Thus one can damage the Salix installation. Such a newest Firefox version I had installed already in the past. FF worked, but other parts of the Salix installation were now broken. I was warned by other discussions here and could evade to another Salix installation. The new FF has brought nothing also. The tax authority accepted this version now, but the tax application has now been called for a Java version that I could not obtain.

(*) e.g.
(in English)
https://en.wikipedia.org/wiki/Firefox#O ... rt_history
(or more informative in German)
https://de.wikipedia.org/w/index.php?ti ... _Versionen

Post Reply